#include "mbed.h"
#include "PowerControl/EthernetPowerControl.h"
#include "ClockControl/ClockControl.h"

InterruptIn in(p8);   //Connect from output of 555
DigitalOut led1(LED1);//running 555

/* stop USB Interface */
#define USR_POWERDOWN (0x104)
int semihost_powerdown() {
    uint32_t arg;
    return __semihost(USR_POWERDOWN, &arg);
}

void flip(void)
{
    led1 = !led1; 
}

int main() {
    led1 = 0;

    setSystemFrequency(0x3, 0x1, 6, 1);//clock down from 96MHz to 48MHz

    semihost_powerdown();//Stop also USB Interface
    PHY_PowerDown();//net

    // Set up the interrupt
    in.mode(PullNone);
    in.rise(&flip);
    
    while(1){
        wait(1);
    }
      
}